RSyntaxTextAreaEditorKit.SelectWordAction
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea

## Class RSyntaxTextAreaEditorKit.SelectWordAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - org.fife.ui.rtextarea.RecordableTextAction
      - - org.fife.ui.rtextarea.RTextAreaEditorKit.SelectWordAction
        - - org.fife.ui.rsyntaxtextarea.RSyntaxTextAreaEditorKit.SelectWordAction

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action
  Enclosing class:
    RSyntaxTextAreaEditorKit

      public static class RSyntaxTextAreaEditorKit.SelectWordAction
      extends RTextAreaEditorKit.SelectWordAction

  Selects the word around the caret. This class is here to better handle selecting "words" in programming languages.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.fife.ui.rtextarea.RTextAreaEditorKit.SelectWordAction

      `end, start`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSyntaxTextAreaEditorKit.SelectWordAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createActions()`

    - ### Methods inherited from class org.fife.ui.rtextarea.RTextAreaEditorKit.SelectWordAction

      `actionPerformedImpl, getMacroID`

    - ### Methods inherited from class org.fife.ui.rtextarea.RecordableTextAction

      `actionPerformed, getAccelerator, getDescription, getIcon, getMnemonic, getName, isRecordable, setAccelerator, setMnemonic, setMnemonic, setName, setProperties, setRecordable, setShortDescription`

    - ### Methods inherited from class javax.swing.text.TextAction

      `augmentList, getFocusedComponent, getTextComponent`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSyntaxTextAreaEditorKit.SelectWordAction

          public RSyntaxTextAreaEditorKit.SelectWordAction()

  - ### Method Detail

    - #### createActions

          protected void createActions()

      Overrides:
        `createActions` in class `RTextAreaEditorKit.SelectWordAction`